<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Bldc.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_bldc_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Bldc.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_bldc_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef BLDC_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define BLDC_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>Matrix;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;}</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">class </span>Layout;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">class </span>TabWidget;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;}</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">class </span>Bldc_impl;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">namespace </span>actuator {</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classflair_1_1actuator_1_1_bldc.html">   37</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1actuator_1_1_bldc.html">Bldc</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <span class="keyword">friend</span> class ::Bldc_impl;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <a class="code" href="classflair_1_1actuator_1_1_bldc.html#acb60358e96275823a489fb2d18a0d119">Bldc</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> *parent, <a class="code" href="classflair_1_1gui_1_1_layout.html">gui::Layout</a> *layout, std::string name,</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;       uint8_t motors_count);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <a class="code" href="classflair_1_1actuator_1_1_bldc.html#acb60358e96275823a489fb2d18a0d119">Bldc</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html">core::Object</a> *parent, std::string name, uint8_t motors_count);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <a class="code" href="classflair_1_1actuator_1_1_bldc.html#a1569d6c4eed96b9f53cae6cd027b7608">~Bldc</a>();</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1actuator_1_1_bldc.html#a6c1d6173c5dcc0fa550464268847ca91">LockUserInterface</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1actuator_1_1_bldc.html#ac1fba30ad70a6d8ff075d376c0e417dd">UnlockUserInterface</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1actuator_1_1_bldc.html#a5f653e25984ae11ae7f513e1fbad7d10">UseDefaultPlot</a>(<a class="code" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *tabwidget);</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;  <a class="code" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *<a class="code" href="classflair_1_1actuator_1_1_bldc.html#ad10ac767cd8e7107f4459499dda7e504">Output</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  uint8_t <a class="code" href="classflair_1_1actuator_1_1_bldc.html#aba973fd0797e039fc33c720729215570">MotorsCount</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1actuator_1_1_bldc.html#ac030794b46b72db4184592f7cff11731">SetEnabled</a>(<span class="keywordtype">bool</span> status);</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1actuator_1_1_bldc.html#a82ad883235b4477905ef78b4daf8dccf">AreEnabled</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1actuator_1_1_bldc.html#ae040c7faecb20b538da7932a3a2e589f">SetPower</a>(<span class="keywordtype">int</span> motor_id, <span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_layout.html">gui::Layout</a> *<a class="code" href="classflair_1_1actuator_1_1_bldc.html#a330135b8772cff48754df0e4f720cd0b">GetLayout</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1actuator_1_1_bldc.html#a37cf2c11de84720a8549f184d3fd3c1a">HasSpeedMeasurement</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span> = 0;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1actuator_1_1_bldc.html#aab69754edb7248757135740a1ced9169">HasCurrentMeasurement</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span> = 0;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;  <a class="code" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *output;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;  <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">core::io_data</a> *data);</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetMotors(<span class="keywordtype">float</span> *values) = 0;</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;  <span class="keyword">class </span>Bldc_impl *pimpl_;</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;};</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;} <span class="comment">// end namespace actuator</span></div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="preprocessor">#endif // BLDC_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html_ac1fba30ad70a6d8ff075d376c0e417dd"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html#ac1fba30ad70a6d8ff075d376c0e417dd">flair::actuator::Bldc::UnlockUserInterface</a></div><div class="ttdeci">void UnlockUserInterface(void) const </div><div class="ttdoc">Unlock user interface. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:83</div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html_ae040c7faecb20b538da7932a3a2e589f"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html#ae040c7faecb20b538da7932a3a2e589f">flair::actuator::Bldc::SetPower</a></div><div class="ttdeci">void SetPower(int motor_id, float value)</div><div class="ttdoc">Set motor power. </div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html_aab69754edb7248757135740a1ced9169"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html#aab69754edb7248757135740a1ced9169">flair::actuator::Bldc::HasCurrentMeasurement</a></div><div class="ttdeci">virtual bool HasCurrentMeasurement(void) const =0</div><div class="ttdoc">Has current measurement. </div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html_aba973fd0797e039fc33c720729215570"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html#aba973fd0797e039fc33c720729215570">flair::actuator::Bldc::MotorsCount</a></div><div class="ttdeci">uint8_t MotorsCount(void) const </div><div class="ttdoc">Motors count. </div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html_ad10ac767cd8e7107f4459499dda7e504"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html#ad10ac767cd8e7107f4459499dda7e504">flair::actuator::Bldc::Output</a></div><div class="ttdeci">core::Matrix * Output(void) const </div><div class="ttdoc">Output from motors. </div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html_acb60358e96275823a489fb2d18a0d119"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html#acb60358e96275823a489fb2d18a0d119">flair::actuator::Bldc::Bldc</a></div><div class="ttdeci">Bldc(const core::IODevice *parent, gui::Layout *layout, std::string name, uint8_t motors_count)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html_a6c1d6173c5dcc0fa550464268847ca91"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html#a6c1d6173c5dcc0fa550464268847ca91">flair::actuator::Bldc::LockUserInterface</a></div><div class="ttdeci">void LockUserInterface(void) const </div><div class="ttdoc">Lock user interface. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout.html">flair::gui::Layout</a></div><div class="ttdoc">Abstract class to display a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> Layout.h:33</div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html_ac030794b46b72db4184592f7cff11731"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html#ac030794b46b72db4184592f7cff11731">flair::actuator::Bldc::SetEnabled</a></div><div class="ttdeci">void SetEnabled(bool status)</div><div class="ttdoc">Enable motors. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html">flair::gui::TabWidget</a></div><div class="ttdoc">Class displaying a QTabWidget on the ground station. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:29</div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html_a37cf2c11de84720a8549f184d3fd3c1a"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html#a37cf2c11de84720a8549f184d3fd3c1a">flair::actuator::Bldc::HasSpeedMeasurement</a></div><div class="ttdeci">virtual bool HasSpeedMeasurement(void) const =0</div><div class="ttdoc">Has speed measurement. </div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html_a1569d6c4eed96b9f53cae6cd027b7608"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html#a1569d6c4eed96b9f53cae6cd027b7608">flair::actuator::Bldc::~Bldc</a></div><div class="ttdeci">~Bldc()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html_a5f653e25984ae11ae7f513e1fbad7d10"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html#a5f653e25984ae11ae7f513e1fbad7d10">flair::actuator::Bldc::UseDefaultPlot</a></div><div class="ttdeci">void UseDefaultPlot(gui::TabWidget *tabwidget)</div><div class="ttdoc">Use default plot. </div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html_a82ad883235b4477905ef78b4daf8dccf"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html#a82ad883235b4477905ef78b4daf8dccf">flair::actuator::Bldc::AreEnabled</a></div><div class="ttdeci">bool AreEnabled(void) const </div><div class="ttdoc">Are motors enabled? </div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html_a330135b8772cff48754df0e4f720cd0b"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html#a330135b8772cff48754df0e4f720cd0b">flair::actuator::Bldc::GetLayout</a></div><div class="ttdeci">gui::Layout * GetLayout(void) const </div><div class="ttdoc">Layout. </div></div>
<div class="ttc" id="classflair_1_1actuator_1_1_bldc_html"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></div><div class="ttdoc">Base class for brushless motors drivers. </div><div class="ttdef"><b>Definition:</b> Bldc.h:37</div></div>
<div class="ttc" id="classflair_1_1core_1_1_matrix_html"><div class="ttname"><a href="classflair_1_1core_1_1_matrix.html">flair::core::Matrix</a></div><div class="ttdoc">Class defining a matrix. </div><div class="ttdef"><b>Definition:</b> Matrix.h:31</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_6e0f9c50eed172896c55a6e61952176b.html">FlairSensorActuator</a></li><li class="navelem"><a class="el" href="dir_c5d95abdcafe7d1171548eb561d7ce37.html">src</a></li><li class="navelem"><a class="el" href="_bldc_8h.html">Bldc.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
